Transaction activity
Generate reports in CSV format to get a comprehensive view of transaction activity across your accounts.Download a transaction activity report
POST
/v2/activity/downloadRequest
Use this request to generate a transaction activity CSV. A transaction activity CSV is a list of all transactions generated for an account over a given period. Results are ordered chronologically by creation date, with the most recent transaction appearing first. Find out more about the transaction activity report format.If you need confirmation of a single payment for reporting purposes, you can download a PDF confirmation of a payment instead.
budgetIds to return only transactions associated with a given list of budgets.
Request body schema
The ID of the account for which you’re downloading transaction activity.Allowable values: An existing
accountId (≤ 36 characters)The ID of the person for whom you’re downloading transaction activity.Allowable values: An existing
personId (≤ 36 characters)The name of the person that you’re sending the CSV to. This will appear in the email template.Allowable values: ≤ 256 characters
The date from which to generate the transaction activity CSV.Allowable values: Format:
YYYY-MM-DDThe date until which to generate the transaction activity CSV. This can be any date after the
startDate, including the date on which you’re making the request.Allowable values: Format: YYYY-MM-DDThe currencies for which you want to retrieve transactions, in ISO 4217 format. You must include at least one. Use commas to pass multiple values.Allowable values: 3 characters
The IDs of the budgets for which you want to retrieve transactions. You must include at least one.Allowable values: One or more existing
budgetIds (36 characters)When true, running balance errors are ignored.Allowable values:
true, falseFilters transactions that include selling this currency. Use commas to pass multiple values.Allowable values: A comma-separated list of currency codes (3 characters)
Filters transactions that include buying this currency. Use commas to pass multiple values.Allowable values: A comma-separated list of currency codes (3 characters)
Filters results that include this type of transaction. Use commas to pass multiple values.Allowable values:
exchange, payment, deposit, forwardContract, drawdown, card, cardCheck, cardRefund, cashWithdrawal, atm, unload, otherDebit, load, cashback, chargeback, compensation, otherCreditFilters results that include transactions with this status. Use commas to pass multiple values.Allowable values:
needsApproval, fundsRequired, pending, complete, declined, reverted, refunded, cancelled, open, cardCheckFilters results that include this string. For example,
Jane+Doe.Allowable values: A valid stringThe settlement date from which to filter results. Transactions that were created but not yet settled before this date will be excluded from results.Allowable values: Format:
YYYY-MM-DDThe settlement date until which to filter results. Transactions that were created but only settled after this date will be excluded from results.Allowable values: Format:
YYYY-MM-DDThe maximum number of results to return. By default, this is set to
100.Allowable values: A valid integerThe number of results to skip before returning. By default, this is set to
0.Allowable values: A valid integerResponse
If your request is successful, you’ll receive a202 response. Once the transaction activity CSV is generated, it will be emailed to the email address of the user who authenticated the request.